coupang
POST/v2/providers/openapi/apis/api/v4/vendors/{vendorId}/products/items/cashback2609170000

[Book] Applying Cashback

# 01

Summary

[Book] Applying Cashback

# 02

Details

Available buyer market: Korean

Cash back rule is applied at an optionID level.
It can be applied to options which got an approval and use the same cash back rule.

  • Cash back is only for Books category. Signing a contract after negotiating with Coupang sales person is required if you'd like to use cash back feature. Please refer to the table below for business logic use case.
Value type Explanation value maxAmount Example Calculate formula for cash back Cashback amount
FIXED DISCOUNT Cash back is applied regardless of purchasing quantity. Fixed amount of cash back is given no matter how many books the customer purchased. 1000 null Price : ₩5,000Quantity : 2Paid : ₩10,000 cash_back = value ₩1,000
FIXED_WITH_QUANTITY Cash back amount is calculated by multiplying fixed amount and purchasing quantity. 1000 null Price : ₩5,000Quantity : 2Paid : ₩10,000 cash_back = value*Quantity ₩2,000

Path

POST/v2/providers/openapi/apis/api/v4/vendors/{vendorId}/products/items/cashback

Example endpoint

https://api-gateway.coupang.com/v2/providers/openapi/apis/api/v4/vendors/A00012345/products/items/cashback

URL API Name

UPDATE_PRODUCT_CASHBACK
# 03

Path parameters

NameTypeDescription
vendorId*string
Seller ID

Unique code issued by Coupang to the seller

예) A00012345
# 04

Request body

Request parameters

Body parameter

NameTypeDescription
ruleId*string
Rule ID
Inputting ruleId after signing a cash back contract
valueType*string
Cashback Type
FIXED, FIXED_WITH_QUANTITY
value*string
Cashback amount
Minimum 1
maxAmountstring
Max cash back amount
Minimum 0, Parameter not required if FIXED or FIXED_WITH_QUANTITY.
vendorItemIds*object[]
List of optionID to apply the same cash back rule. Max optionID 50. Required.
startAt*string
Start Date
yyyy-MM-ddTHH:mm:ss
It can be set at least 2 hours later from the current time (If the current time is 2:00 PM, startAt can be set from 4:00 PM)
endAt*string
End Date
yyyy-MM-ddTHH:mm:ss
Request exampleapplication/json
{
  "ruleId": "3944",
  "valueType": "FIXED_WITH_QUANTITY",
  "value": "270",
  "maxAmount": "",
  "vendorItemIds": [
    "82650648946",
    "3000001897"
  ],
  "startAt": "2022-08-03T16:41:12",
  "endAt": "2099-12-31T23:59:59"
}
# 05

Response body

Response message

NameTypeDescription
codeinteger
Http request status code
EX) 200, 400, 500
messagestring
Result message based on success or failure
200: OK
206: Partial successfully
400: Bad request , will show corresponding bad request message
500: Internal error
dataobject
If cash back rule succeeded, return is the list of options. If failed, the fail reason is returned.
successVendorItemIds
data.successVendorItemIds
object[]
The list of options where cash back rule application succeeded.
failVendorItemIds
data.failVendorItemIds
object[]
The list of options where cash back rule application failed and the fail message.

Response Example

{
  "code": 206,
  "message": "PARTIAL_CONTENT",
  "data": {
    "successVendorItemIds": [
      "3000001886"
    ],
    "failVendorItemIds": [
      {
        "3000001905": "Invalid vendorItemId, vendorItemId doesn't exist or doesn't belong to corresponding vendorId"
      }
    ]
  }
}
# 06

Error codes

HTTPCodeMessage
400HTTP_400Bad Request

Error specification

HTTPTypeError messageSolution
400400 (Check parameter requested)

Cash back value can't be null, and the min value is 1

Check if the value is greater than 1

400400 (Check parameter requested)

RuleId can't be null, and must be numeric

Check whether RuleId is correctly input.

400400 (Check parameter requested)

Cashback type can't be empty, and the allowed values are FIXED,RATE and FIXED_WITH_QUANTITY.

Check whether valueType is correctly input.

400400 (Check parameter requested)

vendorItemIds'list can't be empty, the min size is 1, and max size is 50

Check whether vendorItemIds are correctly input.

400400 (Check parameter requested)

The start or end time of Cashback rule can't be empty

Check wheter start and end dates are correctly input.

500500 (Server Error)

INTERNAL_SERVER_ERROR

This is the case where API call has no issue but an error occurred due to a system error. Check whether cash back is correctly applied.